Package de.willuhn.jameica.hbci.report.balance

# Class AccountBalanceService

java.lang.Object
de.willuhn.jameica.hbci.report.balance.AccountBalanceService

@Lifecycle(CONTEXT) public class AccountBalanceService extends Object
Service fuer den Zugriff auf Kontosalden, der die verschiedenen Provider fuer Salden verwaltet.

## Constructor Summary

Constructors
Constructor
Description
`AccountBalanceService()`

## Method Summary

Modifier and Type
Method
Description
`AccountBalanceProvider`
`getBalanceProviderForAccount(Konto konto)`
Liefert den Provider, der Salden für ein Konto ermitteln kann.
`List<AccountBalanceProvider>`
`getProviders()`
Liefert eine Liste der gefundenen Provider.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccountBalanceService

public AccountBalanceService()

## Method Details

### getProviders

public List<AccountBalanceProvider> getProviders()
Liefert eine Liste der gefundenen Provider.

Returns:
  Liste der Provider.

### getBalanceProviderForAccount

public AccountBalanceProvider getBalanceProviderForAccount(Konto konto)
Liefert den Provider, der Salden für ein Konto ermitteln kann.

Parameters:
  `konto` - Das Konto, fuer welches Salden gesucht sind.
Returns:
  Einen speziellen Provider fuer beispielsweise Depots oder den DEFAULT-Provider.